Index: branches/devmercator2010/NEMO/OPA_SRC/DIA/diaar5.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/DIA/diaar5.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/DIA/diaar5.F90	(revision 2071)
@@ -175,8 +175,7 @@
       thick0(:,:) = 0.e0
       DO jk = 1, jpkm1
-         vol0        = vol0        + SUM( area (:,:) * tmask(:,:,jk) * fse3t_0(:,:,jk) )
-         thick0(:,:) = thick0(:,:) +    tmask_i(:,:) * tmask(:,:,jk) * fse3t_0(:,:,jk)
-      END DO
-      IF( lk_mpp )   CALL mpp_sum( vol0 )
+         vol0        = vol0        + SUM( area (:,:) * tmask(:,:,jk) ) * e3t_0(jk) 
+         thick0(:,:) = thick0(:,:) +    tmask_i(:,:) * tmask(:,:,jk)   * e3t_0(jk)
+      END DO
       
       CALL iom_open ( 'data_1m_salinity_nomask', inum )
Index: branches/devmercator2010/NEMO/OPA_SRC/DIA/diadimg.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/DIA/diadimg.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/DIA/diadimg.F90	(revision 2071)
@@ -10,5 +10,4 @@
    USE dom_oce         ! ocean space and time domain
    USE in_out_manager  ! I/O manager
-   USE daymod          ! calendar
 
    IMPLICIT NONE
@@ -22,5 +21,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Id$ 
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
@@ -57,7 +56,6 @@
     INTEGER :: jk, jn           ! dummy loop indices
     INTEGER :: irecl4,             &    ! record length in bytes
-         &       inum,             &    ! logical unit (set to 14)
-         &       irec,             &    ! current record to be written
-         &       irecend                ! record number where nclit... are stored
+         &       inum,             &    ! logical unit
+         &       irec                   ! current record to be written
     REAL(sp)                    :: zdx,zdy,zspval,zwest,ztimm
     REAL(sp)                    :: zsouth
@@ -71,5 +69,5 @@
     !! * Initialisations
 
-    irecl4 = MAX(jpi*jpj*sp , 84+(18+1+jpk)*sp )
+    irecl4 = MAX(jpi*jpj*sp , 84+18*sp + (jpk+8)*jpnij*sp  )
 
     zspval=0.0_sp    ! special values on land
@@ -103,7 +101,6 @@
 
     IF ( ln_dimgnnn  ) THEN
-     irecl4 = MAX(jpi*jpj*sp , 84+(18+jpk)*sp + 8*jpnij*sp  )
        WRITE(clname,'(a,a,i3.3)') TRIM(cd_name),'.',narea
-       CALL ctl_opn(inum, clname,'UNKNOWN','UNFORMATTED','DIRECT',irecl4,numout,lwp)
+       CALL ctl_opn( inum, clname, 'REPLACE', 'UNFORMATTED', 'DIRECT', irecl4, numout, lwp )
        WRITE(inum,REC=1 ) clver, cd_text, irecl4, &
             &     jpi,jpj, klev, 1 , 1 ,            &
@@ -130,36 +127,16 @@
        ENDIF
     ELSE
-       clver='@!03'           ! dimg string identifier
-       ! note that version @!02 is optimized with respect to record length.
-       ! The vertical dep variable is reduced to klev instead of klev*jpnij :
-       !   this is OK for jpnij < 181 (jpk=46)
-       ! for more processors, irecl4 get huge and that's why we switch to '@!03':
-       !  In this case we just add an extra integer to the standard dimg structure,
-       !  which is a record number where the arrays nlci etc... starts (1 per record)
-       
        !! Standard dimgproc (1 file per variable, all procs. write to this file )
        !! * Open file
-       CALL ctl_opn(inum, cd_name,'UNKNOWN','UNFORMATTED','DIRECT',irecl4,numout,lwp)
+       CALL ctl_opn( inum, cd_name, 'REPLACE', 'UNFORMATTED', 'DIRECT', irecl4, numout, lwp )
 
        !! * Write header on record #1
-       irecend=1 + klev*jpnij 
        IF(lwp) WRITE(inum,REC=1 ) clver, cd_text, irecl4, &
-            &     jpi,jpj, klev, 1 , 1 ,            &
+            &     jpi,jpj, klev*jpnij, 1 , 1 ,            &
             &     zwest, zsouth, zdx, zdy, zspval,  &
-            &     z4dep(1:klev),       &
+            &     (z4dep(1:klev),jn=1,jpnij),       &
             &     ztimm,                            &
-            &     narea, jpnij,jpiglo,jpjglo,jpizoom, jpjzoom, irecend 
-       IF (lwp ) THEN
-         WRITE(inum,REC=irecend + 1 ) nlcit
-         WRITE(inum,REC=irecend + 2 ) nlcjt
-         WRITE(inum,REC=irecend + 3 ) nldit
-         WRITE(inum,REC=irecend + 4 ) nldjt
-         WRITE(inum,REC=irecend + 5 ) nleit
-         WRITE(inum,REC=irecend + 6 ) nlejt
-         WRITE(inum,REC=irecend + 7 ) nimppt
-         WRITE(inum,REC=irecend + 8 ) njmppt
-       ENDIF
-      !   &    ! extension to dimg for mpp output
-      !   &     nlcit,nlcjt, nldit, nldjt, nleit, nlejt, nimppt, njmppt  !
+            &     narea, jpnij,jpiglo,jpjglo,jpizoom, jpjzoom,    &    ! extension to dimg for mpp output
+            &     nlcit,nlcjt, nldit, nldjt, nleit, nlejt, nimppt, njmppt  !
 
        !! * Write klev levels
Index: branches/devmercator2010/NEMO/OPA_SRC/DIA/dianam.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/DIA/dianam.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/DIA/dianam.F90	(revision 2071)
@@ -129,5 +129,7 @@
  
       cdfnam = TRIM(cexper)//TRIM(clave)//"_"//TRIM(cldate1)//"_"//TRIM(cldate2)//"_"//TRIM(cdsuff)
-      IF( .NOT. Agrif_Root() ) cdfnam = TRIM(Agrif_CFixed())//'_'//TRIM(cdfnam)
+#if defined key_agrif
+      if ( .NOT. Agrif_Root() ) cdfnam = TRIM(Agrif_CFixed())//'_'//TRIM(cdfnam)
+#endif    
 
    END SUBROUTINE dia_nam
Index: branches/devmercator2010/NEMO/OPA_SRC/DIA/diawri.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/DIA/diawri.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/DIA/diawri.F90	(revision 2071)
@@ -629,5 +629,7 @@
       ! Define name, frequency of output and means
       clname = cdfile_name
-      IF( .NOT. Agrif_Root() ) clname = TRIM(Agrif_CFixed())//'_'//TRIM(clname)
+#if defined key_agrif
+      if ( .NOT. Agrif_Root() ) clname = TRIM(Agrif_CFixed())//'_'//TRIM(clname)
+#endif
       zdt  = rdt
       zsto = rdt
Index: branches/devmercator2010/NEMO/OPA_SRC/DOM/dom_oce.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 2071)
@@ -219,13 +219,4 @@
 #else
    LOGICAL, PUBLIC, PARAMETER ::   lk_agrif = .FALSE.   !: agrif flag
-
-CONTAINS
-   LOGICAL FUNCTION Agrif_Root()
-      Agrif_Root = .TRUE.
-   END FUNCTION Agrif_Root
-
-   CHARACTER(len=3) FUNCTION Agrif_CFixed()
-     Agrif_CFixed = '0' 
-   END FUNCTION Agrif_CFixed
 #endif
 
Index: branches/devmercator2010/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/DOM/domain.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/DOM/domain.F90	(revision 2071)
@@ -166,17 +166,21 @@
       ENDIF
 
+#if defined key_agrif
       IF( Agrif_Root() ) THEN
-         SELECT CASE ( nleapy )        ! Choose calendar for IOIPSL
-         CASE (  1 ) 
-            CALL ioconf_calendar('gregorian')
-            IF(lwp) WRITE(numout,*) '   The IOIPSL calendar is "gregorian", i.e. leap year'
-         CASE (  0 )
-            CALL ioconf_calendar('noleap')
-            IF(lwp) WRITE(numout,*) '   The IOIPSL calendar is "noleap", i.e. no leap year'
-         CASE ( 30 )
-            CALL ioconf_calendar('360d')
-            IF(lwp) WRITE(numout,*) '   The IOIPSL calendar is "360d", i.e. 360 days in a year'
-         END SELECT
-      ENDIF
+#endif
+      SELECT CASE ( nleapy )        ! Choose calendar for IOIPSL
+      CASE (  1 ) 
+         CALL ioconf_calendar('gregorian')
+         IF(lwp) WRITE(numout,*) '   The IOIPSL calendar is "gregorian", i.e. leap year'
+      CASE (  0 )
+         CALL ioconf_calendar('noleap')
+         IF(lwp) WRITE(numout,*) '   The IOIPSL calendar is "noleap", i.e. no leap year'
+      CASE ( 30 )
+         CALL ioconf_calendar('360d')
+         IF(lwp) WRITE(numout,*) '   The IOIPSL calendar is "360d", i.e. 360 days in a year'
+      END SELECT
+#if defined key_agrif
+      ENDIF
+#endif
 
       REWIND( numnam )             ! Namelist namdom : space & time domain (bathymetry, mesh, timestep)
Index: branches/devmercator2010/NEMO/OPA_SRC/DOM/domhgr.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 2071)
@@ -270,5 +270,5 @@
          
 #if defined key_agrif && defined key_eel_r6
-         IF( .NOT. Agrif_Root() ) THEN
+         IF (.Not.Agrif_Root()) THEN
            glam0  = Agrif_Parent(glam0) + (Agrif_ix())*Agrif_Parent(ppe1_m) * 1.e-3
            gphi0  = Agrif_Parent(gphi0) + (Agrif_iy())*Agrif_Parent(ppe2_m) * 1.e-3
@@ -465,5 +465,5 @@
          
 #if defined key_agrif && defined key_eel_r6
-         IF( .NOT. Agrif_Root() ) THEN
+         IF (.Not.Agrif_Root()) THEN
            zphi0 = ppgphi0 - FLOAT( Agrif_Parent(jpjglo)/2)*Agrif_Parent(ppe2_m) / (ra * rad)
          ENDIF
Index: branches/devmercator2010/NEMO/OPA_SRC/DOM/domvvl.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 2071)
@@ -62,29 +62,14 @@
       IF( lk_zco )   CALL ctl_stop( 'dom_vvl : key_zco is incompatible with variable volume option key_vvl')
 
-      IF( ln_zco) THEN
-         DO jk = 1, jpk
-            gdept(:,:,jk) = gdept_0(jk)
-            gdepw(:,:,jk) = gdepw_0(jk)
-            gdep3w(:,:,jk) = gdepw_0(jk)
-            e3t (:,:,jk) = e3t_0(jk)
-            e3u (:,:,jk) = e3t_0(jk)
-            e3v (:,:,jk) = e3t_0(jk)
-            e3f (:,:,jk) = e3t_0(jk)
-            e3w (:,:,jk) = e3w_0(jk)
-            e3uw(:,:,jk) = e3w_0(jk)
-            e3vw(:,:,jk) = e3w_0(jk)
-         END DO
-      ELSE
-         fsdept(:,:,:) = gdept (:,:,:)
-         fsdepw(:,:,:) = gdepw (:,:,:)
-         fsde3w(:,:,:) = gdep3w(:,:,:)
-         fse3t (:,:,:) = e3t   (:,:,:)
-         fse3u (:,:,:) = e3u   (:,:,:)
-         fse3v (:,:,:) = e3v   (:,:,:)
-         fse3f (:,:,:) = e3f   (:,:,:)
-         fse3w (:,:,:) = e3w   (:,:,:)
-         fse3uw(:,:,:) = e3uw  (:,:,:)
-         fse3vw(:,:,:) = e3vw  (:,:,:)
-      ENDIF
+      fsdept(:,:,:) = gdept (:,:,:)
+      fsdepw(:,:,:) = gdepw (:,:,:)
+      fsde3w(:,:,:) = gdep3w(:,:,:)
+      fse3t (:,:,:) = e3t   (:,:,:)
+      fse3u (:,:,:) = e3u   (:,:,:)
+      fse3v (:,:,:) = e3v   (:,:,:)
+      fse3f (:,:,:) = e3f   (:,:,:)
+      fse3w (:,:,:) = e3w   (:,:,:)
+      fse3uw(:,:,:) = e3uw  (:,:,:)
+      fse3vw(:,:,:) = e3vw  (:,:,:)
 
       !                                 !==  mu computation  ==!
@@ -154,20 +139,4 @@
       CALL lbc_lnk( sshf_b, 'F', 1. )   ;   CALL lbc_lnk( sshf_n, 'F', 1. )
       !
-         DO jk = 1, jpkm1
-            fsdept(:,:,jk) = fsdept_n(:,:,jk)          ! now local depths stored in fsdep. arrays
-            fsdepw(:,:,jk) = fsdepw_n(:,:,jk)
-            fsde3w(:,:,jk) = fsde3w_n(:,:,jk)
-            !
-            fse3t (:,:,jk) = fse3t_n (:,:,jk)          ! vertical scale factors stored in fse3. arrays
-            fse3u (:,:,jk) = fse3u_n (:,:,jk)
-            fse3v (:,:,jk) = fse3v_n (:,:,jk)
-            fse3f (:,:,jk) = fse3f_n (:,:,jk)
-            fse3w (:,:,jk) = fse3w_n (:,:,jk)
-            fse3uw(:,:,jk) = fse3uw_n(:,:,jk)
-            fse3vw(:,:,jk) = fse3vw_n(:,:,jk)
-         END DO
-
-
-
    END SUBROUTINE dom_vvl
 
Index: branches/devmercator2010/NEMO/OPA_SRC/DOM/domwri.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/DOM/domwri.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/DOM/domwri.F90	(revision 2071)
@@ -45,16 +45,10 @@
       !!      domhgr, domzgr, and dommsk. Note: the file contain depends on
       !!      the vertical coord. used (z-coord, partial steps, s-coord)
-      !!            MOD(nmsh, 3) = 1  :   'mesh_mask.nc' file
+      !!                    nmsh = 1  :   'mesh_mask.nc' file
       !!                         = 2  :   'mesh.nc' and mask.nc' files
-      !!                         = 0  :   'mesh_hgr.nc', 'mesh_zgr.nc' and
+      !!                         = 3  :   'mesh_hgr.nc', 'mesh_zgr.nc' and
       !!                                  'mask.nc' files
       !!      For huge size domain, use option 2 or 3 depending on your 
       !!      vertical coordinate.
-      !!
-      !!      if     nmsh <= 3: write full 3D arrays for e3[tuvw] and gdep[tuvw]
-      !!      if 3 < nmsh <= 6: write full 3D arrays for e3[tuvw] and 2D arrays 
-      !!                        corresponding to the depth of the bottom points hdep[tw]
-      !!      if 6 < nmsh <= 9: write 2D arrays corresponding to the depth and the
-      !!                        thickness of the bottom points hdep[tw] and e3[tw]_ps
       !!
       !! ** output file : 
@@ -247,5 +241,5 @@
       !                                     !        close the files 
       !                                     ! ============================
-      SELECT CASE ( MOD(nmsh, 3) )
+      SELECT CASE ( nmsh )
       CASE ( 1 )                
          CALL iom_close( inum0 )
@@ -253,5 +247,5 @@
          CALL iom_close( inum1 )
          CALL iom_close( inum2 )
-      CASE ( 0 )
+      CASE ( 3 )
          CALL iom_close( inum2 )
          CALL iom_close( inum3 )
Index: branches/devmercator2010/NEMO/OPA_SRC/DOM/phycst.F90
===================================================================
--- branches/devmercator2010/NEMO/OPA_SRC/DOM/phycst.F90	(revision 2069)
+++ branches/devmercator2010/NEMO/OPA_SRC/DOM/phycst.F90	(revision 2071)
@@ -4,9 +4,9 @@
    !!     Definition of of both ocean and ice parameters used in the code
    !!=====================================================================
-   !! History :   OPA  !  1990-10  (C. Levy - G. Madec)  Original code
-   !!             8.1  !  1991-11  (G. Madec, M. Imbard)  cosmetic changes
-   !!   NEMO      1.0  !  2002-08  (G. Madec, C. Ethe)  F90, add ice constants
-   !!              -   !  2006-08  (G. Madec)  style 
-   !!             3.2  !  2006-08  (S. Masson, G. Madec)  suppress useless variables + style 
+   !! History :        !  90-10  (C. Levy - G. Madec)  Original code
+   !!                  !  91-11  (G. Madec)
+   !!                  !  91-12  (M. Imbard)
+   !!             8.5  !  02-08  (G. Madec, C. Ethe)  F90, add ice constants
+   !!             9.0  !  06-08  (G. Madec)  style 
    !!----------------------------------------------------------------------
 
@@ -24,65 +24,67 @@
    REAL(wp), PUBLIC ::   rpi = 3.141592653589793_wp             !: pi
    REAL(wp), PUBLIC ::   rad = 3.141592653589793_wp / 180._wp   !: conversion from degre into radian
-   REAL(wp), PUBLIC ::   rsmall = 0.5 * EPSILON( 1.e0 )         !: smallest real computer value
+   REAL(wp), PUBLIC ::   rsmall = 0.5 * EPSILON( 1. )           !: smallest real computer value
    
-   REAL(wp), PUBLIC ::   rday = 24.*60.*60.       !: day (s)
-   REAL(wp), PUBLIC ::   rsiyea                   !: sideral year (s)
-   REAL(wp), PUBLIC ::   rsiday                   !: sideral day (s)
-   REAL(wp), PUBLIC ::   raamo =  12._wp          !: number of months in one year
-   REAL(wp), PUBLIC ::   rjjhh =  24._wp          !: number of hours in one day
-   REAL(wp), PUBLIC ::   rhhmm =  60._wp          !: number of minutes in one hour
-   REAL(wp), PUBLIC ::   rmmss =  60._wp          !: number of seconds in one minute
-!! REAL(wp), PUBLIC ::   omega = 7.292115083046061e-5_wp ,  &  !: change the last digit!
-   REAL(wp), PUBLIC ::   omega                    !: earth rotation parameter
-   REAL(wp), PUBLIC ::   ra    = 6371229._wp      !: earth radius (meter)
-   REAL(wp), PUBLIC ::   grav  = 9.80665_wp       !: gravity (m/s2)
+   REAL(wp), PUBLIC ::          & !:
+      rday = 24.*60.*60.  ,     & !: day (s)
+      rsiyea              ,     & !: sideral year (s)
+      rsiday              ,     & !: sideral day (s)
+      raamo =  12._wp     ,     & !: number of months in one year
+      rjjhh =  24._wp     ,     & !: number of hours in one day
+      rhhmm =  60._wp     ,     & !: number of minutes in one hour
+      rmmss =  60._wp     ,     & !: number of seconds in one minute
+!!!   omega = 7.292115083046061e-5_wp ,  &  !: change the last digit!
+      omega               ,    &  !: earth rotation parameter
+      ra    = 6371229._wp ,    &  !: earth radius (meter)
+      grav  = 9.80665_wp          !: gravity (m/s2)
    
-   REAL(wp), PUBLIC ::   rtt      = 273.16_wp     !: triple point of temperature (Kelvin)
-   REAL(wp), PUBLIC ::   rt0      = 273.15_wp     !: freezing point of water (Kelvin)
+   REAL(wp), PUBLIC ::         &  !:
+      rtt      = 273.16_wp  ,  &  !: triple point of temperature (Kelvin)
+      rt0      = 273.15_wp  ,  &  !: freezing point of water (Kelvin)
 #if defined key_lim3
-   REAL(wp), PUBLIC ::   rt0_snow = 273.16_wp     !: melting point of snow  (Kelvin)
-   REAL(wp), PUBLIC ::   rt0_ice  = 273.16_wp     !: melting point of ice   (Kelvin)
+      rt0_snow = 273.16_wp  ,  &  !: melting point of snow  (Kelvin)
+      rt0_ice  = 273.16_wp  ,  &  !: melting point of ice   (Kelvin)
 #else
-   REAL(wp), PUBLIC ::   rt0_snow = 273.15_wp     !: melting point of snow  (Kelvin)
-   REAL(wp), PUBLIC ::   rt0_ice  = 273.05_wp     !: melting point of ice   (Kelvin)
+      rt0_snow = 273.15_wp  ,  &  !: melting point of snow  (Kelvin)
+      rt0_ice  = 273.05_wp  ,  &  !: melting point of ice   (Kelvin)
 #endif
+      rau0     = 1035._wp   ,  &  !: volumic mass of reference (kg/m3)
+      rauw     = 1000._wp   ,  &  !: volumic mass of pure water (kg/m3)
+      rcp      =    4.e+3_wp,  &  !: ocean specific heat
+      ro0cpr                      !: = 1. / ( rau0 * rcp )
 
-   REAL(wp), PUBLIC ::   rau0     = 1020._wp      !: reference volumic mass (density)  (kg/m3)
-   REAL(wp), PUBLIC ::   rau0r                    !: reference specific volume         (m3/kg)
-   REAL(wp), PUBLIC ::   rcp      =    4.e+3_wp   !: ocean specific heat
-   REAL(wp), PUBLIC ::   ro0cpr                   !: = 1. / ( rau0 * rcp )
-
+   REAL(wp), PUBLIC ::            &  !:
 #if defined key_lim3
-   REAL(wp), PUBLIC ::   rcdsn   =   0.31_wp      !: thermal conductivity of snow
-   REAL(wp), PUBLIC ::   rcdic   =   2.034396_wp  !: thermal conductivity of fresh ice
-   REAL(wp), PUBLIC ::   cpic    = 2067.0         !: specific heat of sea ice
-   REAL(wp), PUBLIC ::   lsub    = 2.834e+6       !: pure ice latent heat of sublimation (J.kg-1)
-   REAL(wp), PUBLIC ::   lfus    = 0.334e+6       !: latent heat of fusion of fresh ice   (J.kg-1)
-   REAL(wp), PUBLIC ::   rhoic   = 917._wp        !: volumic mass of sea ice (kg/m3)
-   REAL(wp), PUBLIC ::   tmut    =   0.054        !: decrease of seawater meltpoint with salinity
+      rcdsn   =   0.31_wp     ,   &  !: thermal conductivity of snow
+      rcdic   =   2.034396_wp ,   &  !: thermal conductivity of fresh ice
+      cpic    = 2067.0        ,   &
+      ! add the following lines
+      lsub    = 2.834e+6      ,   &  !: pure ice latent heat of sublimation (J.kg-1)
+      lfus    = 0.334e+6      ,   &  !: latent heat of fusion of fresh ice   (J.kg-1)
+      rhoic   = 917._wp       ,   &  !: volumic mass of sea ice (kg/m3)
+      tmut    =   0.054       ,   &  !: decrease of seawater meltpoint with salinity
 #else
-   REAL(wp), PUBLIC ::   rcdsn   =   0.22_wp      !: conductivity of the snow
-   REAL(wp), PUBLIC ::   rcdic   =   2.034396_wp  !: conductivity of the ice
-   REAL(wp), PUBLIC ::   rcpsn   =   6.9069e+5_wp !: density times specific heat for snow
-   REAL(wp), PUBLIC ::   rcpic   =   1.8837e+6_wp !: volumetric latent heat fusion of sea ice
-   REAL(wp), PUBLIC ::   lfus    =   0.3337e+6    !: latent heat of fusion of fresh ice   (J.kg-1) 	
-   REAL(wp), PUBLIC ::   xlsn    = 110.121e+6_wp  !: volumetric latent heat fusion of snow
-   REAL(wp), PUBLIC ::   xlic    = 300.33e+6_wp   !: volumetric latent heat fusion of ice
-   REAL(wp), PUBLIC ::   xsn     =   2.8e+6       !: latent heat of sublimation of snow
-   REAL(wp), PUBLIC ::   rhoic   = 900._wp        !: volumic mass of sea ice (kg/m3)
+      rcdsn   =   0.22_wp     ,   &  !: conductivity of the snow
+      rcdic   =   2.034396_wp ,   &  !: conductivity of the ice
+      rcpsn   =   6.9069e+5_wp,   &  !: density times specific heat for snow
+      rcpic   =   1.8837e+6_wp,   &  !: volumetric latent heat fusion of sea ice
+      xlsn    = 110.121e+6_wp ,   &  !: volumetric latent heat fusion of snow
+      xlic    = 300.33e+6_wp  ,   &  !: volumetric latent heat fusion of ice
+      xsn     =   2.8e+6      ,   &  !: latent heat of sublimation of snow
+      rhoic   = 900._wp       ,   &  !: volumic mass of sea ice (kg/m3)
 #endif
-   REAL(wp), PUBLIC ::   rhosn   = 330._wp        !: volumic mass of snow (kg/m3)
-   REAL(wp), PUBLIC ::   emic    =   0.97_wp      !: emissivity of snow or ice
-   REAL(wp), PUBLIC ::   sice    =   6.0_wp       !: reference salinity of ice (psu)
-   REAL(wp), PUBLIC ::   soce    =  34.7_wp       !: reference salinity of sea (psu)
-   REAL(wp), PUBLIC ::   cevap   =   2.5e+6_wp    !: latent heat of evaporation (water)
-   REAL(wp), PUBLIC ::   srgamma =   0.9_wp       !: correction factor for solar radiation (Oberhuber, 1974)
-   REAL(wp), PUBLIC ::   vkarmn  =   0.4_wp       !: von Karman constant
-   REAL(wp), PUBLIC ::   stefan  =   5.67e-8_wp   !: Stefan-Boltzmann constant 
-   !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
-   !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
+      rhosn   = 330._wp       ,   &  !: volumic mass of snow (kg/m3)
+      emic    =   0.97_wp     ,   &  !: emissivity of snow or ice
+      sice    =   6.0_wp      ,   &  !: salinity of ice (psu)
+      soce    =  34.7_wp      ,   &  !: salinity of sea (psu)
+      cevap   =   2.5e+6_wp   ,   &  !: latent heat of evaporation (water)
+      srgamma =   0.9_wp      ,   &  !: correction factor for solar radiation (Oberhuber, 1974)
+      vkarmn  =   0.4_wp      ,   &  !: von Karman constant
+      stefan  =   5.67e-8_wp         !: Stefan-Boltzmann constant 
+      !!----------------------------------------------------------------------
+      !!  OPA 9.0 , LOCEAN-IPSL (2005) 
+      !! $Id$ 
+      !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+      !!----------------------------------------------------------------------
    
 CONTAINS
@@ -97,17 +99,11 @@
       !!----------------------------------------------------------------------
 
-      !                                   ! Define additional parameters
-      rsiyea = 365.25 * rday * 2. * rpi / 6.283076
-      rsiday = rday / ( 1. + rday / rsiyea )
-      omega  = 2. * rpi / rsiday 
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) ' phy_cst : initialization of ocean parameters and constants'
+      IF(lwp) WRITE(numout,*) ' ~~~~~~~'
 
-      rau0r  = 1. /   rau0  
-      ro0cpr = 1. / ( rau0 * rcp )
-
-
-      IF(lwp) THEN                        ! control print
-         WRITE(numout,*)
-         WRITE(numout,*) ' phy_cst : initialization of ocean parameters and constants'
-         WRITE(numout,*) ' ~~~~~~~'
+      ! Ocean Parameters
+      ! ----------------
+      IF(lwp) THEN
          WRITE(numout,*) '       Domain info'
          WRITE(numout,*) '          dimension of model'
@@ -122,30 +118,47 @@
          WRITE(numout,*) '             jpnij   : ', jpnij
          WRITE(numout,*) '          lateral domain boundary condition type : jperio  = ', jperio
-         WRITE(numout,*)
-         WRITE(numout,*) '       Constants'
-         WRITE(numout,*)
-         WRITE(numout,*) '          mathematical constant                 rpi = ', rpi
-         WRITE(numout,*) '          day                                rday   = ', rday,   ' s'
-         WRITE(numout,*) '          sideral year                       rsiyea = ', rsiyea, ' s'
-         WRITE(numout,*) '          sideral day                        rsiday = ', rsiday, ' s'
-         WRITE(numout,*) '          omega                              omega  = ', omega,  ' s-1'
-         WRITE(numout,*)
-         WRITE(numout,*) '          nb of months per year               raamo = ', raamo, ' months'
-         WRITE(numout,*) '          nb of hours per day                 rjjhh = ', rjjhh, ' hours'
-         WRITE(numout,*) '          nb of minutes per hour              rhhmm = ', rhhmm, ' mn'
-         WRITE(numout,*) '          nb of seconds per minute            rmmss = ', rmmss, ' s'
-         WRITE(numout,*)
-         WRITE(numout,*) '          earth radius                         ra   = ', ra, ' m'
-         WRITE(numout,*) '          gravity                              grav = ', grav , ' m/s^2'
-         WRITE(numout,*)
-         WRITE(numout,*) '          triple point of temperature      rtt      = ', rtt     , ' K'
-         WRITE(numout,*) '          freezing point of water          rt0      = ', rt0     , ' K'
-         WRITE(numout,*) '          melting point of snow            rt0_snow = ', rt0_snow, ' K'
-         WRITE(numout,*) '          melting point of ice             rt0_ice  = ', rt0_ice , ' K'
-         WRITE(numout,*)
-         WRITE(numout,*) '          ocean reference volumic mass       rau0   = ', rau0 , ' kg/m^3'
-         WRITE(numout,*) '          ocean reference specific volume    rau0r  = ', rau0r, ' m^3/Kg'
-         WRITE(numout,*) '          ocean specific heat                rcp    = ', rcp
-         WRITE(numout,*) '                       1. / ( rau0 * rcp ) = ro0cpr = ', ro0cpr
+      ENDIF
+
+      ! Define constants
+      ! ----------------
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) '       Constants'
+
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) '          mathematical constant                 rpi = ', rpi
+
+      rsiyea = 365.25 * rday * 2. * rpi / 6.283076
+      rsiday = rday / ( 1. + rday / rsiyea )
+      omega  = 2. * rpi / rsiday 
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) '          day                                rday   = ', rday,   ' s'
+      IF(lwp) WRITE(numout,*) '          sideral year                       rsiyea = ', rsiyea, ' s'
+      IF(lwp) WRITE(numout,*) '          sideral day                        rsiday = ', rsiday, ' s'
+      IF(lwp) WRITE(numout,*) '          omega                              omega  = ', omega,  ' s-1'
+
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) '          nb of months per year               raamo = ', raamo, ' months'
+      IF(lwp) WRITE(numout,*) '          nb of hours per day                 rjjhh = ', rjjhh, ' hours'
+      IF(lwp) WRITE(numout,*) '          nb of minutes per hour              rhhmm = ', rhhmm, ' mn'
+      IF(lwp) WRITE(numout,*) '          nb of seconds per minute            rmmss = ', rmmss, ' s'
+
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) '          earth radius                         ra   = ', ra, ' m'
+      IF(lwp) WRITE(numout,*) '          gravity                              grav = ', grav , ' m/s^2'
+
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) '          triple point of temperature      rtt      = ', rtt     , ' K'
+      IF(lwp) WRITE(numout,*) '          freezing point of water          rt0      = ', rt0     , ' K'
+      IF(lwp) WRITE(numout,*) '          melting point of snow            rt0_snow = ', rt0_snow, ' K'
+      IF(lwp) WRITE(numout,*) '          melting point of ice             rt0_ice  = ', rt0_ice , ' K'
+
+      ro0cpr = 1. / ( rau0 * rcp )
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) '          volumic mass of pure water         rauw   = ', rauw, ' kg/m^3'
+      IF(lwp) WRITE(numout,*) '          volumic mass of reference          rau0   = ', rau0, ' kg/m^3'
+      IF(lwp) WRITE(numout,*) '          ocean specific heat                rcp    = ', rcp
+      IF(lwp) WRITE(numout,*) '                       1. / ( rau0 * rcp ) = ro0cpr = ', ro0cpr
+
+      IF(lwp) THEN
          WRITE(numout,*)
          WRITE(numout,*) '          thermal conductivity of the snow          = ', rcdsn   , ' J/s/m/K'
@@ -171,6 +184,8 @@
          WRITE(numout,*) '          von Karman constant                       = ', vkarmn 
          WRITE(numout,*) '          Stefan-Boltzmann constant                 = ', stefan  , ' J/s/m^2/K^4'
+
          WRITE(numout,*)
          WRITE(numout,*) '          conversion: degre ==> radian          rad = ', rad
+
          WRITE(numout,*)
          WRITE(numout,*) '          smallest real computer value       rsmall = ', rsmall
